diff --git a/framework/source/services/frame.cxx b/framework/source/services/frame.cxx
index 29aefb6..d1c70dd 100644
--- a/framework/source/services/frame.cxx
+++ b/framework/source/services/frame.cxx
@@ -30,7 +30,7 @@
 #include <framework/titlehelper.hxx>
 #include <svtools/openfiledroptargetlistener.hxx>
 #include <classes/taskcreator.hxx>
-#include <loadenv/targethelper.hxx>
+#include <loadenv/deliveryhelper.hxx>
 #include <framework/framelistanalyzer.hxx>
 #include <helper/dockingareadefaultacceptor.hxx>
 #include <dispatch/dispatchinformationprovider.hxx>
@@ -55,7 +55,7 @@
 #include <com/sun/star/frame/XTitleChangeBroadcaster.hpp>
 #include <com/sun/star/frame/LayoutManager.hpp>
 #include <com/sun/star/frame/XDesktop.hpp>
-#include <com/sun/star/frame/FrameSearchFlag.hpp>
+#include <com/sun/star/frame/FrameSearchOption.hpp>
 #include <com/sun/star/lang/DisposedException.hpp>
 #include <com/sun/star/task/StatusIndicatorFactory.hpp>
 #include <com/sun/star/task/theJobExecutor.hpp>
@@ -100,12 +100,12 @@ enum EActiveState
     E_FOCUS             // I have the focus now. I must a member of an active path!
 };
 
-/*-************************************************************************************************************
+/*
     @short      implements a normal frame of hierarchy
     @descr      An instance of these class can be a normal node in frame tree. A frame support influencing of his
                 subtree, find of subframes, activate- and deactivate-mechanism as well as
                 set/get of a frame window, component or controller.
-*//*-*************************************************************************************************************/
+*/
 class Frame:
     private cppu::BaseMutex,
     public cppu::PartialWeakComponentImplHelper<
@@ -146,8 +146,8 @@ public:
 
     virtual css::uno::Reference< css::lang::XComponent > SAL_CALL loadComponentFromURL(
             const OUString& sURL,
-            const OUString& sTargetFrameName,
-            sal_Int32 nSearchFlags,
+            const OUString& sRecipientFrameName,
+            sal_Int32 nSearchOptions,
             const css::uno::Sequence< css::beans::PropertyValue >& lArguments )
         throw( css::io::IOException,
                css::lang::IllegalArgumentException,
@@ -167,8 +167,8 @@ public:
     virtual css::uno::Reference< css::frame::XFramesSupplier >  SAL_CALL getCreator                         (                                                                                                   ) throw( css::uno::RuntimeException, std::exception ) override;
     virtual OUString                                     SAL_CALL getName                            (                                                                                                   ) throw( css::uno::RuntimeException, std::exception ) override;
     virtual void                                                SAL_CALL setName                            (   const   OUString&                                                    sName               ) throw( css::uno::RuntimeException, std::exception ) override;
-    virtual css::uno::Reference< css::frame::XFrame >           SAL_CALL findFrame                          (   const   OUString&                                                    sTargetFrameName    ,
-                                                                                                                        sal_Int32                                                           nSearchFlags        ) throw( css::uno::RuntimeException, std::exception ) override;
+    virtual css::uno::Reference< css::frame::XFrame >           SAL_CALL findFrame                          (   const   OUString&                                                    sRecipientFrameName    ,
+                                                                                                                        sal_Int32                                                           nSearchOptions        ) throw( css::uno::RuntimeException, std::exception ) override;
     virtual sal_Bool                                            SAL_CALL isTop                              (                                                                                                   ) throw( css::uno::RuntimeException, std::exception ) override;
     virtual void                                                SAL_CALL activate                           (                                                                                                   ) throw( css::uno::RuntimeException, std::exception ) override;
     virtual void                                                SAL_CALL deactivate                         (                                                                                                   ) throw( css::uno::RuntimeException, std::exception ) override;
@@ -194,8 +194,8 @@ public:
     //  XDispatchProvider
 
     virtual css::uno::Reference< css::frame::XDispatch >        SAL_CALL queryDispatch                      (   const   css::util::URL&                                                     aURL                ,
-                                                                                                                const   OUString&                                                    sTargetFrameName    ,
-                                                                                                                        sal_Int32                                                           nSearchFlags        ) throw( css::uno::RuntimeException, std::exception ) override;
+                                                                                                                const   OUString&                                                    sRecipientFrameName    ,
+                                                                                                                        sal_Int32                                                           nSearchOptions        ) throw( css::uno::RuntimeException, std::exception ) override;
     virtual css::uno::Sequence<
                 css::uno::Reference< css::frame::XDispatch > >  SAL_CALL queryDispatches                    (   const   css::uno::Sequence< css::frame::DispatchDescriptor >&               lDescriptor         ) throw( css::uno::RuntimeException, std::exception ) override;
 
@@ -369,12 +369,12 @@ private:
 
     void impl_notifyChangeListener(const css::beans::PropertyChangeEvent& aEvent);
 
-    /*-****************************************************************************************************
+    /*
         @short      helper methods
         @descr      Follow methods are needed at different points of our code (more than ones!).
 
         @attention  Threadsafe methods are signed by "implts_..."!
-    *//*-*****************************************************************************************************/
+    */
 
     // threadsafe
     void implts_sendFrameActionEvent     ( const css::frame::FrameAction&                        aAction          );
@@ -440,7 +440,7 @@ private:
 };
 
 
-/*-****************************************************************************************************
+/*
     @short      standard constructor to create instance by factory
     @descr      This constructor initialize a new instance of this class by valid factory,
                 and will be set valid values on his member and baseclasses.
@@ -458,7 +458,7 @@ private:
     @param      xContext is the multi service manager, which creates this instance.
                     The value must be different from NULL!
     @onerror    ASSERT in debug version or nothing in release version.
-*//*-*****************************************************************************************************/
+*/
 Frame::Frame( const css::uno::Reference< css::uno::XComponentContext >& xContext )
         : PartialWeakComponentImplHelper(m_aMutex)
         //  init member
@@ -487,9 +487,9 @@ void Frame::initListeners()
 {
     css::uno::Reference< css::uno::XInterface > xThis(static_cast< ::cppu::OWeakObject* >(this), css::uno::UNO_QUERY_THROW);
 
-    // Initialize a new dispatchhelper-object to handle dispatches.
-    // We use these helper as slave for our interceptor helper ... not directly!
-    // But he is event listener on THIS instance!
+    // Initialize a new dispatch helper object to handle dispatches.
+    // That helper is used as slave for interceptor helper ... indirectly
+    // And it is event listener on THIS instance
     DispatchProvider* pDispatchHelper = new DispatchProvider( m_xContext, this );
     css::uno::Reference< css::frame::XDispatchProvider > xDispatchProvider( static_cast< ::cppu::OWeakObject* >(pDispatchHelper), css::uno::UNO_QUERY );
 
@@ -498,29 +498,29 @@ void Frame::initListeners()
 
     // Initialize a new interception helper object to handle dispatches and implement an interceptor mechanism.
     // Set created dispatch provider as slowest slave of it.
-    // Hold interception helper by reference only - not by pointer!
-    // So it's easier to destroy it.
+    // Hold interception helper by reference only - not by pointer
+    // So it's easier to release it.
     InterceptionHelper* pInterceptionHelper = new InterceptionHelper( this, xDispatchProvider );
     m_xDispatchHelper.set( static_cast< ::cppu::OWeakObject* >(pInterceptionHelper), css::uno::UNO_QUERY );
 
     // Initialize a new XFrames-helper-object to handle XIndexAccess and XElementAccess.
-    // We hold member as reference ... not as pointer too!
+    // We hold member as reference ... not as pointer too
     // Attention: We share our frame container with this helper. Container is threadsafe himself ... So I think we can do that.
-    // But look on dispose() for right order of deinitialization.
+    // But look on dispose() for sequence of deinitialization.
     OFrames* pFramesHelper = new OFrames( this, &m_aChildFrameContainer );
     m_xFramesHelper.set( static_cast< ::cppu::OWeakObject* >(pFramesHelper), css::uno::UNO_QUERY );
 
-    // Initialize a the drop target listener.
-    // We hold member as reference ... not as pointer too!
+    // Initialize a drop listener.
+    // We hold member as reference ... not as pointer too
     OpenFileDropTargetListener* pDropListener = new OpenFileDropTargetListener( m_xContext, this );
     m_xDropTargetListener.set( static_cast< ::cppu::OWeakObject* >(pDropListener), css::uno::UNO_QUERY );
 
     // Safe impossible cases
-    // We can't work without these helpers!
-    SAL_WARN_IF( !xDispatchProvider.is(), "fwk", "Frame::Frame(): Slowest slave for dispatch- and interception helper is not valid. XDispatchProvider, XDispatch, XDispatchProviderInterception are not full supported!" );
-    SAL_WARN_IF( !m_xDispatchHelper.is(), "fwk", "Frame::Frame(): Interception helper is not valid. XDispatchProvider, XDispatch, XDispatchProviderInterception are not full supported!" );
-    SAL_WARN_IF( !m_xFramesHelper.is(), "fwk", "Frame::Frame(): Frames helper is not valid. XFrames, XIndexAccess and XElementAcces are not supported!" );
-    SAL_WARN_IF( !m_xDropTargetListener.is(), "fwk", "Frame::Frame(): DropTarget helper is not valid. Drag and drop without functionality!" );
+    // We can't work without these helpers
+    SAL_WARN_IF( !xDispatchProvider.is(), "fwk", "XDispatchProvider, XDispatch, XDispatchProviderInterception are not completely supported" );
+    SAL_WARN_IF( !m_xDispatchHelper.is(), "fwk", "Interception helper is not implemented. XDispatchProvider, XDispatch, XDispatchProviderInterception are not fully supported" );
+    SAL_WARN_IF( !m_xFramesHelper.is(), "fwk", "XFrames, XIndexAccess and XElementAccess are not completely supported" );
+    SAL_WARN_IF( !m_xDropTargetListener.is(), "fwk", "DropTarget helper is absent therefore no drag'n'drop" );
 
     // establish notifies for changing of "disabled commands" configuration during runtime
     m_aCommandOptions.EstablishFrameCallback(this);
@@ -563,25 +563,25 @@ void Frame::initListeners()
             css::beans::PropertyAttribute::TRANSIENT));
 }
 
-/*-************************************************************************************************************
+/*
     @interface  XComponentLoader
     @short      try to load given URL into a task
     @descr      You can give us some information about the content, which you will load into a frame.
-                We search or create this target for you, make a type detection of given URL and try to load it.
+                We search or create this recipient for you, make a type detection of given URL and try to load it.
                 As result of this operation we return the new created component or nothing, if loading failed.
     @param      "sURL"              , URL, which represent the content
-    @param      "sTargetFrameName"  , name of target frame or special value like "_self", "_blank" ...
-    @param      "nSearchFlags"      , optional arguments for frame search, if target is not a special one
+    @param      "sRecipientFrameName"  , name of recipient frame or special value like "_self", "_blank" ...
+    @param      "nSearchOptions"      , optional arguments for frame search, if recipient is not a special one
     @param      "lArguments"        , optional arguments for loading
     @return     A valid component reference, if loading was successfully.
                 A null reference otherwise.
 
     @onerror    We return a null reference.
     @threadsafe yes
-*//*-*************************************************************************************************************/
+*/
 css::uno::Reference< css::lang::XComponent > SAL_CALL Frame::loadComponentFromURL( const OUString&                                 sURL            ,
-                                                                                   const OUString&                                 sTargetFrameName,
-                                                                                         sal_Int32                                        nSearchFlags    ,
+                                                                                   const OUString&                                 sRecipientFrameName,
+                                                                                         sal_Int32                                        nSearchOptions    ,
                                                                                    const css::uno::Sequence< css::beans::PropertyValue >& lArguments      ) throw( css::io::IOException                ,
                                                                                                                                                                    css::lang::IllegalArgumentException ,
                                                                                                                                                                    css::uno::RuntimeException, std::exception          )
@@ -589,10 +589,10 @@ css::uno::Reference< css::lang::XComponent > SAL_CALL Frame::loadComponentFromUR
     checkDisposed();
 
     css::uno::Reference< css::frame::XComponentLoader > xThis(static_cast< css::frame::XComponentLoader* >(this), css::uno::UNO_QUERY);
-    return LoadEnv::loadComponentFromURL(xThis, m_xContext, sURL, sTargetFrameName, nSearchFlags, lArguments);
+    return LoadEnv::loadComponentFromURL(xThis, m_xContext, sURL, sRecipientFrameName, nSearchOptions, lArguments);
 }
 
-/*-****************************************************************************************************
+/*
     @short      return access to append or remove children on desktop
     @descr      We don't implement these interface directly. We use a helper class to do this.
                 If you wish to add or delete children to/from the container, call these method to get
@@ -602,7 +602,7 @@ css::uno::Reference< css::lang::XComponent > SAL_CALL Frame::loadComponentFromUR
     @return     A reference to the helper which answer your queries.
 
     @onerror    A null reference is returned.
-*//*-*****************************************************************************************************/
+*/
 css::uno::Reference< css::frame::XFrames > SAL_CALL Frame::getFrames() throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -613,7 +613,7 @@ css::uno::Reference< css::frame::XFrames > SAL_CALL Frame::getFrames() throw( cs
     return m_xFramesHelper;
 }
 
-/*-****************************************************************************************************
+/*
     @short      get the current active child frame
     @descr      It must be a frameto. Direct children of a frame are frames only! No task or desktop is accepted.
                 We don't save this information directly in this class. We use our container-helper
@@ -625,7 +625,7 @@ css::uno::Reference< css::frame::XFrames > SAL_CALL Frame::getFrames() throw( cs
     @return     A null reference, if nobody is active.
 
     @onerror    A null reference is returned.
-*//*-*****************************************************************************************************/
+*/
 css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::getActiveFrame() throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -636,7 +636,7 @@ css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::getActiveFrame() throw
     return m_aChildFrameContainer.getActive();
 }
 
-/*-****************************************************************************************************
+/*
     @short      set the new active direct child frame
     @descr      It must be a frame to. Direct children of frame are frames only! No task or desktop is accepted.
                 We don't save this information directly in this class. We use our container-helper
@@ -647,7 +647,7 @@ css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::getActiveFrame() throw
 
     @param      "xFrame", reference to new active child. It must be an already existing child!
     @onerror    An assertion is thrown and element is ignored, if given frame isn't already a child of us.
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::setActiveFrame( const css::uno::Reference< css::frame::XFrame >& xFrame ) throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -711,7 +711,7 @@ void SAL_CALL Frame::setActiveFrame( const css::uno::Reference< css::frame::XFra
     }
 }
 
-/*-****************************************************************************************************
+/*
    initialize new created layout manager
 **/
 void lcl_enableLayoutManager(const css::uno::Reference< css::frame::XLayoutManager2 >& xLayoutManager,
@@ -727,7 +727,7 @@ void lcl_enableLayoutManager(const css::uno::Reference< css::frame::XLayoutManag
     xLayoutManager->setDockingAreaAcceptor(xDockingAreaAcceptor);
 }
 
-/*-****************************************************************************************************
+/*
    deinitialize layout manager
 **/
 void Frame::disableLayoutManager(const css::uno::Reference< css::frame::XLayoutManager2 >& xLayoutManager)
@@ -737,7 +737,7 @@ void Frame::disableLayoutManager(const css::uno::Reference< css::frame::XLayoutM
     xLayoutManager->attachFrame(css::uno::Reference< css::frame::XFrame >());
 }
 
-/*-****************************************************************************************************
+/*
     @short      initialize frame instance
     @descr      A frame needs a window. This method set a new one ... but should called one times only!
                 We use this window to listen for window events and forward it to our set component.
@@ -749,7 +749,7 @@ void Frame::disableLayoutManager(const css::uno::Reference< css::frame::XLayoutM
 
     @param      "xWindow", reference to new container window - must be valid!
     @onerror    We do nothing.
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::initialize( const css::uno::Reference< css::awt::XWindow >& xWindow ) throw( css::uno::RuntimeException, std::exception )
 {
     /* UNSAFE AREA --------------------------------------------------------------------------------------------- */
@@ -812,7 +812,7 @@ void SAL_CALL Frame::initialize( const css::uno::Reference< css::awt::XWindow >&
     pTitleHelper->setOwner(xThis);
 }
 
-/*-****************************************************************************************************
+/*
     @short      returns current set container window
     @descr      The ContainerWindow property is used as a container for the component
                 in this frame. So this object implements a container interface too.
@@ -823,14 +823,14 @@ void SAL_CALL Frame::initialize( const css::uno::Reference< css::awt::XWindow >&
     @return     A reference to current set containerwindow.
 
     @onerror    A null reference is returned.
-*//*-*****************************************************************************************************/
+*/
 css::uno::Reference< css::awt::XWindow > SAL_CALL Frame::getContainerWindow() throw( css::uno::RuntimeException, std::exception )
 {
     SolarMutexGuard g;
     return m_xContainerWindow;
 }
 
-/*-****************************************************************************************************
+/*
     @short      set parent frame
     @descr      We need a parent to support some functionality! e.g. findFrame()
                 By the way we use the chance to set an internal information about our top state.
@@ -846,7 +846,7 @@ css::uno::Reference< css::awt::XWindow > SAL_CALL Frame::getContainerWindow() th
                     valid reference to our new owner frame, which should implement a supplier interface
 
     @threadsafe yes
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::setCreator( const css::uno::Reference< css::frame::XFramesSupplier >& xCreator ) throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -861,7 +861,7 @@ void SAL_CALL Frame::setCreator( const css::uno::Reference< css::frame::XFramesS
     m_bIsFrameTop = ( xIsDesktop.is() || ! xCreator.is() );
 }
 
-/*-****************************************************************************************************
+/*
     @short      returns current parent frame
     @descr      The Creator is the parent frame container. If it is NULL, the frame is the uppermost one.
 
@@ -869,7 +869,7 @@ void SAL_CALL Frame::setCreator( const css::uno::Reference< css::frame::XFramesS
     @return     A reference to current set parent frame container.
 
     @onerror    A null reference is returned.
-*//*-*****************************************************************************************************/
+*/
 css::uno::Reference< css::frame::XFramesSupplier > SAL_CALL Frame::getCreator() throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -877,51 +877,47 @@ css::uno::Reference< css::frame::XFramesSupplier > SAL_CALL Frame::getCreator()
     return m_xParent;
 }
 
-/*-****************************************************************************************************
-    @short      returns current set name of frame
-    @descr      This name is used to find target of findFrame() or queryDispatch() calls.
+/*
+    @short      returns current name of frame
 
     @seealso    method setName()
-    @return     Current set name of frame.
+    @return     Current name of frame.
 
     @onerror    An empty string is returned.
-*//*-*****************************************************************************************************/
+*/
 OUString SAL_CALL Frame::getName() throw( css::uno::RuntimeException, std::exception )
 {
     SolarMutexGuard g;
     return m_sName;
 }
 
-/*-****************************************************************************************************
+/*
     @short      set new name for frame
-    @descr      This name is used to find target of findFrame() or queryDispatch() calls.
-
-    @attention  Special names like "_blank", "_self" aren't allowed...
-                "_beamer" excepts this rule!
 
-    @seealso    method getName()
+    @attention  Special names like "_blank", "_self" aren't allowed
+                "_beamer" excepts this rule
 
     @param      "sName", new frame name.
     @onerror    We do nothing.
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::setName( const OUString& sName ) throw( css::uno::RuntimeException, std::exception )
 {
     SolarMutexGuard g;
-    // Set new name... but look for invalid special target names!
+    // Set new name... but look for special cases
     // They are not allowed to set.
-    if (TargetHelper::isValidNameForFrame(sName))
+    if ( DeliveryHelper::isValidNameForFrame( sName ) )
         m_sName = sName;
 }
 
-/*-****************************************************************************************************
+/*
     @short      search for frames
     @descr      This method searches for a frame with the specified name.
                 Frames may contain other frames (e.g. a frameset) and may
                 be contained in other frames. This hierarchy is searched by
                 this method.
                 First some special names are taken into account, i.e. "",
-                "_self", "_top", "_blank" etc. The nSearchFlags are ignored
-                when comparing these names with sTargetFrameName, further steps are
+                "_self", "_top", "_blank" etc. The nSearchOptions are ignored
+                when comparing these names with sRecipientFrameName, further steps are
                 controlled by the search flags. If allowed, the name of the frame
                 itself is compared with the desired one, then ( again if allowed )
                 the method findFrame() is called for all children, for siblings
@@ -930,31 +926,27 @@ void SAL_CALL Frame::setName( const OUString& sName ) throw( css::uno::RuntimeEx
                 a new top one is created, if this is allowed by a special
                 flag. The new frame also gets the desired name.
 
-    @param      sTargetFrameName
-                    special names (_blank, _self) or real name of target frame
-    @param      nSearchFlags
-                    optional flags which regulate search for non special target frames
+    @param      sRecipientFrameName
+                    special names (_blank, _self) or real name of frame
+    @param      nSearchOptions
+                    optional flags which regulate search for non special cases
 
     @return     A reference to found or may be new created frame.
     @threadsafe yes
-*//*-*****************************************************************************************************/
-css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::findFrame( const OUString&  sTargetFrameName,
-                                                                           sal_Int32         nSearchFlags    ) throw( css::uno::RuntimeException, std::exception )
+*/
+css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::findFrame( const OUString&  sFrameName,
+                                                                           sal_Int32         nSearchOptions    ) throw( css::uno::RuntimeException, std::exception )
 {
-    css::uno::Reference< css::frame::XFrame > xTarget;
+    css::uno::Reference< css::frame::XFrame > xFrame;
 
-    // 0) Ignore wrong parameter!
-    //    We don't support search for following special targets.
-    //    If we reject this requests - we must not check for such names
-    //    in following code again and again. If we do not so -wrong
-    //    search results can occur!
+    // 0) Ignore special parameter
 
-    if ( sTargetFrameName == SPECIALTARGET_DEFAULT ) // valid for dispatches - not for findFrame()!
+    if ( sFrameName == SPECIAL_DEFAULT ) // it's for dispatches - not for findFrame()
     {
         return nullptr;
     }
 
-    // I) check for special defined targets first which must be handled exclusive.
+    // I) check for special cases first
     //    force using of "if() else if() ..."
 
     // get threadsafe some necessary member which are necessary for following functionality
@@ -967,62 +959,62 @@ css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::findFrame( const OUStr
     /* } SAFE */
 
     // I.I) "_blank"
-    //  Not allowed for a normal frame - but for the desktop.
+    //  It's not for a normal frame - but for the desktop.
     //  Use helper class to do so. It use the desktop automatically.
 
-    if ( sTargetFrameName==SPECIALTARGET_BLANK )
+    if ( sFrameName == SPECIAL_BLANK )
     {
         TaskCreator aCreator(m_xContext);
-        xTarget = aCreator.createTask(sTargetFrameName);
+        xFrame = aCreator.createTask( sFrameName );
     }
 
     // I.II) "_parent"
-    //  It doesn't matter if we have a valid parent or not. User ask for him and get it.
-    //  An empty result is a valid result too.
+    //  It doesn't matter if we have a parent or not. User ask for him and get it.
+    //  An empty result is a result too.
 
-    else if ( sTargetFrameName==SPECIALTARGET_PARENT )
+    else if ( sFrameName == SPECIAL_PARENT )
     {
-        xTarget = xParent;
+        xFrame = xParent;
     }
 
     // I.III) "_top"
     //  If we are not the top frame in this hierarchy, we must forward request to our parent.
     //  Otherwhise we must return ourself.
 
-    else if ( sTargetFrameName==SPECIALTARGET_TOP )
+    else if ( sFrameName == SPECIAL_TOP )
     {
         if (bIsTopFrame)
-            xTarget = this;
+            xFrame = this;
         else if (xParent.is()) // If we are not top - the parent MUST exist. But may it's better to check it again .-)
-            xTarget = xParent->findFrame(SPECIALTARGET_TOP,0);
+            xFrame = xParent->findFrame( SPECIAL_TOP, 0 );
     }
 
     // I.IV) "_self", ""
     //  This mean this frame in every case.
 
     else if (
-        ( sTargetFrameName==SPECIALTARGET_SELF ) ||
-        ( sTargetFrameName.isEmpty()           )
+         ( sFrameName == SPECIAL_SELF ) ||
+         ( sFrameName.isEmpty() )
        )
     {
-        xTarget = this;
+        xFrame = this;
     }
 
     // I.V) "_beamer"
     //  This is a special sub frame of any task. We must return it if we found it on our direct children
     //  or create it there if it not already exists.
-    //  Note: Such beamer exists for task(top) frames only!
+    //  Note: Such beamer exists for task(top) frames only
 
-    else if ( sTargetFrameName==SPECIALTARGET_BEAMER )
+    else if ( sFrameName == SPECIAL_BEAMER )
     {
         // We are a task => search or create the beamer
         if (bIsTopWindow)
         {
-            xTarget = m_aChildFrameContainer.searchOnDirectChildrens(SPECIALTARGET_BEAMER);
-            if ( ! xTarget.is() )
+            xFrame = m_aChildFrameContainer.searchOnDirectChildrens( SPECIAL_BEAMER );
+            if ( ! xFrame.is() )
             {
                 /* TODO
-                    Creation not supported yet!
+                    Creation is not supported yet
                     Wait for new layout manager service because we can't plug it
                     inside already opened document of this frame ...
                 */
